@echo OFF
rem  * ************************************************************************
rem  *                 CBLVSME1.cmd - a Windows Command File                  *
rem  *           This program is provided by SimoTime Technologies            *
rem  *              (C) Copyright 1987-2019 All Rights Reserved               *
rem  *                Web Site URL:   http://www.simotime.com                 *
rem  *                      e-mail:   helpdesk@simotime.com                   *
rem  * ************************************************************************
rem  *
rem  * Text   - COBOL for VSAM, KSDS processing
rem  * Author - SimoTime Technologies
rem  * Date   - January 01, 1997
rem  *
rem  * This set of programs illustrates the use of COBOL programs
rem  * to do VSAM, Keyed-Sequential-Data-Set I/O.
rem  *
rem  * The COBOL programs are compiled with the ASSIGN(EXTERNAL) and
rem  * the CHARSET(EBCDIC) directives. This provides for external
rem  * file mapping of the file names. The CHARSET(EBCDIC) allows for the
rem  * processing of the EBCDIC data from the VSAM, KSDS
rem  * This technique provides for the use of a single COBOL source
rem  * program that will run on OS/390, Windows or Unix.
rem  *
rem  * This set of programs will run on a Personal Computer with Windows
rem  * and Micro Focus Net Express.
rem  *
rem  *                     ************
rem  *                     * CblVsmJ1 *
rem  *                     ********jcl*
rem  *                          *
rem  *                          *
rem  *    ************     ************     ************
rem  *    * VKSD0080 ******* CblVsmC1 ******* Console  *
rem  *    ********dat*     ********cbl*     ********crt*
rem  *                          *
rem  *                          *
rem  *                     ************
rem  *                     *   EOJ    *
rem  *                     ************
rem  *
rem  * *******************************************************************
rem  * Step   1 of 2  Set the global environment variables...
rem  *
     call ..\ENV1BASE
     set CmdName=CBLVSME1
rem  *
     call SimoNOTE "*******************************************************%CmdName%.cmd"
     call SimoNOTE "Starting JobName %CmdName%.cmd"
rem  *
     set CUSKS080=%BaseLib1%\DATA\Asc1\SIMOTIME.DATA.CUST0080.DAT
     run CBLVSMC1
     if not "%ERRORLEVEL%" == "0" set JobStatus=0010
     if not "%JobStatus%" == "0000" goto :EojNOK
     goto EojAok
:EojAOK
     call SimoNOTE "Finished CmdName %CmdName%, Job Status is %JobStatus%"
     goto :End
:EojNOK
     call SimoNOTE "ABENDING CmdName %CmdName%, Job Status is %JobStatus%"
     echo %DATE% - %TIME% Starting User ABEND Processing...>>%SYSLOG%
     set >>%SYSLOG%
     echo %DATE% - %TIME% Complete User ABEND Processing...>>%SYSLOG%
     goto :End
:End
     call SimoNOTE "Conclude SysOut is %SYSOUT%"
     if not "%1" == "nopause" pause
     exit /B %JobStatus%
